let _ =
  let anon_arg_func fname =
    let fmt = !Config.formatter in
    let cols = !Config.columns in
      begin
	Format.pp_set_margin fmt cols;
	Format.pp_set_max_boxes fmt max_int;
	if !Config.verbose1
	then Format.fprintf fmt "@.File %s@." fname;
	Toplevel.verify_wp_fname fname;
	if !Config.print_stats then
	  begin
	    let gc = Gc.quick_stat () in 
	    let printM (w: float) : string =
	      Printf.sprintf "%.2fMB" (w *. 4.0 /. 1048576.0)
	    in
	      Printf.fprintf stdout
		"Memory statistics: total=%s, max=%s, minor=%s, major=%s, promoted=%s\n    minor collections=%d  major collections=%d compactions=%d\n"
		(printM (gc.Gc.minor_words +. gc.Gc.major_words 
			  -. gc.Gc.promoted_words))
		(printM (float_of_int gc.Gc.top_heap_words))
		(printM gc.Gc.minor_words)
		(printM gc.Gc.major_words)
		(printM gc.Gc.promoted_words)
		gc.Gc.minor_collections
		gc.Gc.major_collections
		gc.Gc.compactions;
	  end
      end in
    Arg.parse (Arg.align Config.speclist) anon_arg_func Config.usage_msg
